/* Installa driver ScrollMouse (scrollms.exe) MM Software Inc.
   di Mirco Miranda (c)2000 */

'@echo off'

/* carico le librerie */

Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

Parse arg BOOTDRIVE LANG OPT

say ''
say 'Install program for scrollms.exe package V1.02'
say 'Copyright (C)2000-02 Mirco Miranda. All Rights Reserved.'
say ''

if LEFT(LANG,1) = '/'   then OPT = LANG

if LENGTH(LANG) <> 2
then do
      LANG=translate(value('LANG',,'OS2ENVIRONMENT'))

      select
      When LANG = 'DA_DK'
         then LANG = 'dk'
      When LANG = 'DE_DE'
         then LANG = 'de'
      When LANG = 'DE_CH'
         then LANG = 'de'
      When LANG = 'EN_US'
         then LANG = 'en'
      When LANG = 'EN_GB'
         then LANG = 'en'
      When LANG = 'EN_JP'
         then LANG = 'en'
      When LANG = 'ES_ES'
         then LANG = 'es'
      When LANG = 'FI_FI'
         then LANG = 'fi'
      When LANG = 'FR_BE'
         then LANG = 'fr'
      When LANG = 'FR_CA'
         then LANG = 'fr'
      When LANG = 'FR_CH'
         then LANG = 'fr'
      When LANG = 'FR_FR'
         then LANG = 'fr'
      When LANG = 'IT_IT'
         then LANG = 'it'
      When LANG = 'JA_JP'
         then LANG = 'jp'
      When LANG = 'NL_BE'
         then LANG = 'nl'
      When LANG = 'NL_NL'
         then LANG = 'nl'
      When LANG = 'NO_NO'
         then LANG = 'no'
      When LANG = 'PT_BR'
         then LANG = 'br'
      When LANG = 'PT_PT'
         then LANG = 'pt'
      When LANG = 'SV_SE'
         then LANG = 'sv'
      When LANG = 'ZH_TW'
         then LANG = 'tw'
      When LANG = 'ZH_SC'
         then LANG = 'sc'
      When LANG = 'ZH_CN'
         then LANG = 'sc'

      Otherwise
         LANG = 'en'

      end
end

if LENGTH(BOOTDRIVE) = 2
then do
   if RIGHT(BOOTDRIVE,1) = ':' then BOOTDRIVE=LEFT(BOOTDRIVE,1)
end

if LENGTH(LANG)<>2 | LENGTH(BOOTDRIVE) <> 1 then signal help

if OPT = '/u'  then signal uninstall
/*if OPT = '/mo' then signal mouseobject*/

say 'Boot drive selected is : '||BOOTDRIVE||':'
say 'Language file is       : wpstkmri.'||LANG
say ''
say ' Copy dlls on \OS2\DLL'


'copy wpstkmou.dll '||BOOTDRIVE||':\os2\dll >nul'
'copy wpstkmri.'||LANG||' '||BOOTDRIVE||':\os2\dll\wpstkmri.dll >nul'


if OPT = '/c'
then do
   say ' Install mouse.sys on \OS2\BOOT'
   'ren '||BOOTDRIVE||':\os2\boot\mouse.sys mouse.sav >nul'
   'copy mouse.sys '||BOOTDRIVE||':\os2\boot >nul'
end
else say ' Leave current mouse.sys. Use /c switch to update.'



/* Installo la classe */
if SysRegisterObjectClass("WPStickMouse",BOOTDRIVE||":\OS2\DLL\WPSTKMOU.DLL") then
    say ' Install successfully completed for WPStickMouse'
else say '(!) Class registration failed'

/* Creo l'oggetto Mouse */
if SysCreateObject("WPStickMouse","Mouse","<WP_CONFIG>","OBJECTID=<WP_MOUSE>","r")
then say ' Scroll mouse object successfully replaced'
else say '(!) Scroll mouse object creation failed'

signal fine


uninstall:

/* Creo l'oggetto Mouse */
if SysCreateObject("WPMouse","Mouse","<WP_CONFIG>","OBJECTID=<WP_MOUSE>","r")
then do
    say ' Default mouse object successfully replaced'

    /* deregistro la classe */
    if SysDeregisterObjectClass("WPStickMouse")
    then do
        say ' Uninstall successfully completed for WPStickMouse'

        say ' After reboot you can delete manually'
        say '  '||BOOTDRIVE||':\os2\boot\wpstkmou.dll'
        say '  'BOOTDRIVE||':\os2\boot\wpstkmri.dll'
     end
     else say '(!) Uninstall failed (probabily not installed?)'
end
else say '(!) Default mouse object creation failed'

signal fine


help:

Say 'Usage:'
say ''
say 'MSCRINST BootDrive [Language] [Switch]'
say ''
say 'Where'
say ' BootDrive is a boot letter (eg. C[:])'
say ' Language  is the extension of one of the wpstkmri files (eg. IT)'
say '  optional ONLY if you have the correct LANG environment'
say '  in your config.sys'
say ' Switch    is one of the following switches:'
say '  /c    to copy the mouse.sys in \OS2\BOOT'
say '  /u    to uninstall the scroll mouse'
/* say '  /mo   to recreate OS/2 default mouse object'*/
signal fine


fine:

